<?
require "../conexion/conectar.php";
require "../libs/funciones.php";
$conexion = new CONDB();
$conexion->conectar();

$id=1;
$cfdi = getDatosRecibe($_GET['uuid']);

$DESCARGAR_ARCHIVOS=true;

if(!$DESCARGAR_ARCHIVOS = getINI("DESCARGAR_ARCHIVOS=","../config.ini")){
	$DESCARGAR_ARCHIVOS=false;
}

$iconos = getDescarga($cfdi);


$treeView.='[{';
$treeView.='"id":'.$id.",";
$treeView.='"uuid":"'.$cfdi['uuid'].$iconos.'",';
$treeView.='"serie":"'.$cfdi['serie'].'",';
$treeView.='"folio":"'.$cfdi['folio'].'",';
$treeView.='"nombreemi":"'.$cfdi['nombreemi'].'"';
getHijos($_GET['uuid']);
$treeView.='}]';

echo $treeView;

function getHijos($uuid){
	global $conexion, $treeView, $id;
	// $query = "select * from cfdirelacionados where uuidPadre='$uuid'";
	$query = "select * from cfdirelacionados cr inner join recibedoce rd on cr.uuidHijo = rd.uuid where uuidPadre='$uuid' and rd.tipoComprobante='I' and rd.tipoDocto='I CFDI 3.3'";
	
	$result = mysqli_query($conexion->CONEXION,$query);
	
	$treeView.=',"children":[';
	if(mysqli_num_rows($result) > 0){
		$numRegistro=0;
		$ban=false;
		while($tmp = mysqli_fetch_array($result,MYSQLI_ASSOC)){
			$numRegistro++;
			$cfdi = getDatosRecibe($tmp['uuidHijo']);
			//if(trim($cfdi['uuid']) == ""){continue;}
			$id++;
			
			if($ban){$treeView.=',{';}else{$treeView.='{';}
			$uuid=$tmp['uuidHijo'];
			if(trim($cfdi['uuid']) == ""){
				//$uuid="--TAG1--".$uuid."--TAG2--";
			}
			
			// $treeView.='{';
			$treeView.='"id":'.$id.",";
			$treeView.='"uuid":"'.$uuid.'",';
			$treeView.='"serie":"'.$cfdi['serie'].'",';
			$treeView.='"folio":"'.$cfdi['folio'].'",';
			$treeView.='"nombreemi":"'.$cfdi['nombreemi'].'"';
			//getHijos($tmp['uuidHijo']);
			// if($numRegistro < mysqli_num_rows($result)){
				// $treeView.='},';
			// }else{
				$treeView.='}';
			// }
			$ban=true;
		}
		$treeView.=',{"id":0,';
		$treeView.='"uuid":"--IMGADD--", "serie": "", "folio":"", "nombreemi": ""}';
	}else{
		$treeView.='{"id":0,';
		$treeView.='"uuid":"--IMGADD--", "serie": "", "folio":"", "nombreemi": ""}';
	}
		$treeView.=']';
}
function getDatosRecibe($uuid){
	global $conexion;
	$query = "select rfcEmisor,r.tipoDocto,r.serie,r.folio,r.uuid,r.fechaDocto,r.fechaRecibido,r.nombreemi,r.ArchivoXML,r.ArchivoPDF,t.usarRutaDistribuida,t.rutaXML_P,t.rutaPDF_P,t.rutaXML,t.rutaPDF from recibedoce r left join receptor re on re.rfc=r.rfc_receptor left join tdoctos_r t on t.idReceptor=re.idReceptor where uuid='$uuid' and t.tipoDocto=r.tipoDocto limit 1";
	$result = mysqli_query($conexion->CONEXION,$query);
	
	$tmp = mysqli_fetch_assoc($result);
	
	return $tmp;
}
function getDescarga($cfdi){
	global $DESCARGAR_ARCHIVOS;
	$iconos="";
	if($cfdi['usarRutaDistribuida'] == "SI"){
	
		$year = substr($cfdi['fechaRecibido'],0,4);
		$mes = substr($cfdi['fechaRecibido'],5,2);
		
		if($DESCARGAR_ARCHIVOS){
			/*PARA DESCARGA*/
			$rutaSTD=$cfdi['rutaPDF_P'].$year."/".$mes."/".pathinfo($cfdi['ArchivoPDF'],PATHINFO_FILENAME)."_STD.pdf";
			$cfdi['rutaXML_P'].=$year."/".$mes."/".$cfdi['ArchivoXML'];
			$cfdi['rutaPDF_P'].=$year."/".$mes."/".$cfdi['ArchivoPDF'];
			if(file_exists($rutaSTD)){
				//$iconos='<img src=\"Imagenes/SoloCirculo.png\" width=\"16\" height=\"16\" onclick=\"descargar(\''.urlencode(pathinfo($cfdi['ArchivoPDF'],PATHINFO_FILENAME)).'_STD.pdf'.'\',\''.urlencode($rutaSTD).'\',\'A\'); return false;\"/>';
			}
			if(file_exists($cfdi['rutaXML_P'])){
				//$iconos.=' <img src="Imagenes/xml.png" width="16" height="16" onclick="descargar(\''.$cfdi['ArchivoXML'].'\',\''.$cfdi['rutaXML_P'].'\',\'A\'); return false;"/>';
			}
			if(file_exists($cfdi['rutaPDF_P'])){
				//$iconos.=' <img src="Imagenes/pdf.png" width="16" height="16" onclick="descargar(\''.$cfdi['ArchivoPDF'].'\',\''.$cfdi['rutaPDF_P'].'\',\'A\'); return false;"/>';
			}
			return $iconos;
		}else{
			/*PARA ABRIR EN EL NAVEGADOR*/
			$rutaSTDHTTP=$cfdi['rutaPDF'].$year."/".$mes."/".pathinfo($cfdi['ArchivoPDF'],PATHINFO_FILENAME)."_STD.pdf";
			$cfdi['rutaXML'].=$year."/".$mes."/".$cfdi['ArchivoXML'];
			$cfdi['rutaPDF'].=$year."/".$mes."/".$cfdi['ArchivoPDF'];
		}
	}
}
?>